#pragma once

#include "CoreMinimal.h"
#include "PlayerMutator.h"
#include "AddSkillOnPlayer.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UAddSkillOnPlayer : public UPlayerMutator
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<FName> _skills;

public:
	UAddSkillOnPlayer();
};

FORCEINLINE uint32 GetTypeHash(const UAddSkillOnPlayer) { return 0; }
